Bug 473497 - nv not detecting correct video ram
nv not detecting correct video ram
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-nv (Show other bugs)
10
All Linux
medium Severity medium
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-28 15:56 EST by Russell Miller
Modified: 2018-04-11 09:45 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 02:00:54 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
xorg.0.log (93.64 KB, text/plain)
2008-11-29 20:09 EST, Russell Miller
no flags Details
xorg.conf (2.09 KB, text/plain)
2008-11-29 20:10 EST, Russell Miller
no flags Details
xorg.0.log from letting it autodetect. (8.10 KB, text/plain)
2008-11-29 20:13 EST, Russell Miller
no flags Details

  None (edit)
Description Russell Miller 2008-11-28 15:56:07 EST
Description of problem:

Tried to use the nv driver.  Have an nv card:

04:00.0 VGA compatible controller: nVidia Corporation NV44A [GeForce 6200] (rev a1)

But it's not probing the card correctly for its Video RAM:

(--) NV(0): VideoRAM: 0 kBytes

And thus none of the video modes are working.

There's a VideoRam option in xorg.conf (it has 256M) but the driver isn't accepting that option.

Version-Release number of selected component (if applicable):


How reproducible:

Always

Steps to Reproduce:
1. start X.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Matěj Cepl 2008-11-28 16:09:12 EST
Thanks for the bug report.  We have reviewed the information you have provided above, and there is some additional information we require that will be helpful in our diagnosis of this issue.

Please attach your X server config file (/etc/X11/xorg.conf) and X server log file (/var/log/Xorg.*.log) to the bug report as individual uncompressed file attachments using the bugzilla file attachment link below.

Could you please also try to run without any /etc/X11/xorg.conf whatsoever and let X11 autodetect your display and video card? Attach to this bug /var/log/Xorg.0.log from this attempt as well, please.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 2 Russell Miller 2008-11-29 20:09:42 EST
Created attachment 325106 [details]
xorg.0.log
Comment 3 Russell Miller 2008-11-29 20:10:11 EST
Created attachment 325107 [details]
xorg.conf
Comment 4 Russell Miller 2008-11-29 20:13:04 EST
Created attachment 325108 [details]
xorg.0.log from letting it autodetect.
Comment 5 Russell Miller 2008-11-29 20:13:48 EST
ok there's all the info you asked for.  Please let me know if you need anything else.

I'll poke at it to as I have time.  I'm no expert at X and kernel level stuff...
Comment 6 Bug Zapper 2009-11-18 04:03:00 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Bug Zapper 2009-12-18 02:00:54 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.